<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/app_blue"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="验证码" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_15dp"
                android:layout_marginTop="@dimen/d_17dp"
                android:layout_marginRight="@dimen/d_15dp"
                android:layout_marginBottom="@dimen/d_50dp"
                android:background="@color/white"
                android:orientation="vertical">


                <com.guadou.lib_baselib.font_text_view.TextViewBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_40dp"
                    android:layout_marginTop="@dimen/d_40dp"
                    android:layout_marginRight="@dimen/d_40dp"
                    android:gravity="center"
                    android:text="请您出示该二维码给商家验证"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_20sp" />


                <ImageView
                    android:id="@+id/iv_qr_code"
                    android:layout_width="220dp"
                    android:layout_height="220dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:scaleType="centerCrop"
                    android:src="@color/white" />

                <ImageView
                    android:id="@+id/iv_bar_code"
                    android:layout_width="290dp"
                    android:layout_height="@dimen/d_60dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:visibility="gone" />


                <com.guadou.lib_baselib.font_text_view.TextViewBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:gravity="center"
                    android:text="或者"
                    android:textColor="@color/gray_76"
                    android:textSize="18sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/promotion_verty_right_round" />

                    <com.guadou.cs_cptservices.widget.XuDividerView
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"
                        android:layerType="software"
                        app:dashGap="8dp"
                        app:dashLength="2dp"
                        app:dashThickness="1dp"
                        app:divider_line_color="@color/app_blue"
                        app:divider_orientation="horizontal" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/promotion_verty_left_round" />

                </LinearLayout>

                <com.guadou.lib_baselib.font_text_view.TextViewBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:gravity="center"
                    android:text="验证码"
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_17sp" />


                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_verty_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:layout_marginBottom="@dimen/d_40dp"
                    android:gravity="center"
                    android:text="-"
                    android:textColor="#0689fb"
                    android:textSize="32sp" />

            </LinearLayout>

        </ScrollView>


    </LinearLayout>

</layout>